VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Multvar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Multvar
Implements ParseObject
Private vec As New Collection
Private typ As Integer

Public Function getVector() As Collection
  Set getVector = vec
End Function
Public Sub init(ByVal v1 As ParseObject, ByVal v2 As ParseObject)
  Set vec = New Collection
  vec.add v1
  vec.add v2
  typ = MULT_VAR
End Sub
      
Public Sub add(ByVal v1 As ParseObject)
  vec.add v1
End Sub
    
Private Sub Class_Initialize()
  typ = MULT_VAR
End Sub

Private Sub ParseObject_addArg(p As ParseObject)

End Sub

Private Function ParseObject_getType() As Integer
  ParseObject_getType = typ
End Function

Private Function ParseObject_getValue() As Integer
  ParseObject_getValue = 0
End Function

Private Sub ParseObject_init()
  typ = MULT_VAR
End Sub

Private Sub ParseObject_setData(dt As data, ByVal pt As ListBox)

End Sub
